## zita-lrx 0.1.0

=== source/Makefile ===
#  ------------------------------------------------------------------------
#
#  Copyright (C) 2011-2012 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  ------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share/zita-lrx
VERSION = 0.1.0
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -ffast-math -Wall -MMD -MP
CXXFLAGS += -march=native


all:	zita-lrx


ZITA-LRX_O = zita-lrx.o jclient.o lrxconf.o sstring.o lrxproc.o lr4filt.o delayproc.o

zita-lrx:	LDLIBS += -lclthreads -lpthread -ljack -lrt
zita-lrx:	$(ZITA-LRX_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-LRX_O) $(LDLIBS)
$(ZITA-LRX_O):
-include $(ZITA-LRX_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 zita-lrx     $(DESTDIR)$(PREFIX)/bin

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/zita-lrx

clean:
	rm -f *~ *.o *.a *.d *.so
	rm -f zita-lrx

=== debian/changelog ===
zita-lrx (0.1.0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 14:38:16 +0100

zita-lrx (0.1.0-2) unstable; urgency=low

  * Set dh/compat 9
  * Bump standards.
  * Fix VCS canonical URLs.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 12 Aug 2013 23:24:44 +0200

zita-lrx (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #658784)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Feb 2012 01:45:26 +0100

=== debian/control ===
Source: zita-lrx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libclthreads-dev (>= 2.4.0),
 libjack-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-lrx.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-lrx.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: zita-lrx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line jack application providing crossover filters
 Command line jack application providing 2, 3, or 4-band,
 4th order crossover filters.
 The filter type is continuously variable between Linkwitz-Riley
 (-6dB at the xover frequency) and Butterworth(-3 dB at the xover frequency).
 Outputs are exactly phase matched in the crossover regions.
 .
 The application supports up to 16 channels.
 .
 Configuration is by a text file using 'OSC' style syntax
 (similar to Ambdec and Jconvolver).
 Apart from the basic filter parameters,
 the following can be set:
  - Channel labels (used for naming Jack ports).
  - Frequency band names (used in output port names). 
  - Optional output autoconnections.
  - For each channel: gain and delay (in ms).
  - For each frequency band: gain and delay.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/zita-lrx

%:
	dh $@ -Smakefile -Dsource

## zita-lrx 0.1.2

=== source/Makefile ===
#  ------------------------------------------------------------------------
#
#  Copyright (C) 2011-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  ------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.1.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	zita-lrx


ZITA-LRX_O = zita-lrx.o jclient.o lrxconf.o sstring.o lrxproc.o lr4filt.o delayproc.o

zita-lrx:	LDLIBS += -lclthreads -lpthread -ljack -lrt
zita-lrx:	$(ZITA-LRX_O)
	$(CXX) $(LDFLAGS) -o $@ $(ZITA-LRX_O) $(LDLIBS)
$(ZITA-LRX_O):
-include $(ZITA-LRX_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 zita-lrx $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/zita-lrx

clean:
	rm -f *~ *.o *.a *.d *.so
	rm -f zita-lrx

=== debian/changelog ===
zita-lrx (0.1.2-1build4) noble; urgency=high

  * No change rebuild against libclthreads2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:24 +0200

zita-lrx (0.1.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:34:25 +0000

zita-lrx (0.1.2-1build2) noble; urgency=medium

  * Rebuild against latest clthreads

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 07:12:23 -0400

zita-lrx (0.1.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:36 +0100

zita-lrx (0.1.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream release 0.1.2 (Closes: #918084)
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright: Update year, http > https and add myself
  * d/patches: Update 01-makefile.patch
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 27 Jan 2020 22:29:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: zita-lrx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libclthreads-dev (>= 2.4.0),
  libjack-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-lrx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-lrx.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-lrx.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-lrx
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
 
 Package: zita-lrx
 Architecture: any
@@ -32,7 +34,7 @@
  Apart from the basic filter parameters,
  the following can be set:
   - Channel labels (used for naming Jack ports).
-  - Frequency band names (used in output port names). 
+  - Frequency band names (used in output port names).
   - Optional output autoconnections.
   - For each channel: gain and delay (in ms).
   - For each frequency band: gain and delay.
